<template>
  <div id="app">
    <div id="nav" v-if="isLoggedIn()">
      <router-link to="/">Home</router-link> |
      <router-link to="/about">About</router-link>
      <button @click="logout">Sign out</button>
    </div>
    <div></div>
    <router-view />
  </div>
</template>

<script>
import Constants from "./lib/Constants";

export default {
  computed: {
  },

  methods: {
    isLoggedIn() {
      return localStorage.getItem(Constants.APP_USER) !== null;
    },

    logout() {
      localStorage.removeItem(Constants.APP_USER);
      this.$router.push("");
      location.reload();
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: left;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}

h1 {
  font-weight: 100;
}
</style>
